/*
 * ADC.hpp
 *
 *  Created on: Jul 1, 2023
 *      Author: Carst
 */

#ifndef ADC_HPP_
#define ADC_HPP_

#include <cstdint>

namespace ElektronischeLast
{
  class iADC
  {
    public:
      void init(float voltage_gain, float current_gain);
      std::uint32_t get_current(void);
      std::uint32_t get_temperature(void);
      std::uint32_t get_voltage(void);
      std::uint32_t get_current_raw(void);
      std::uint32_t get_temperature_raw(void);
      std::uint32_t get_voltage_raw(void);
    private:
      float voltage_gain;
      float current_gain;
  };
}

#endif /* ADC_HPP_ */
